{% extends 'base_admin.html.twig' %}

{% block body %}
    <h1 class="h1-categories-admin">Gestion des utilisateurs</h1>
        <a href="{{ path('app_user_management_new') }}"  class="admin-link-new-category" style="top:190px">Créer</a>
        <div class="container-event-table-admin">
            <table id="table" class="table table-striped table-bordered" cellspacing="0">
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>Prénom</th>
                        <th>Nom</th>
                        <th>Date de naissance</th>
                        <th>Email</th>
                        <th>Mise à jour</th>
                        <th>Rôle</th>
                        <th>Compte vérifié</th>
                        <th>Téléphone</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>
                        <td>{{ user.id }}</td>
                        <td>{{ user.firstname }}</td>
                        <td>{{ user.lastname }}</td>
                        <td>{{ user.dateOfBirth ? user.dateOfBirth|date('Y-m-d') : '' }}</td>
                        <td>{{ user.email }}</td>
                        <td>{{ user.updatedAt ? user.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                        {%if user.roles == ['ROLE_ADMIN', 'ROLE_USER']%} 
                            <td>{{ 'ROLE ADMIN' }}</td>
                        {%else%}
                            <td>{{ 'ROLE USER' }}</td>
                        {%endif%}
                        <td>{{ user.isVerified ? 'Oui' : 'Non' }}</td>
                        <td>{{ user.phoneNumber }}</td>
                        <td>
                            <a href="{{ path('app_user_management_show', {'id': user.id}) }}" class="" title="Voir">Voir</a><br/>
                            <a href="{{ path('app_user_management_edit', {'id': user.id}) }}"  class="" title="Modifier">Modifier</a><br />
                            {{ include('user_management/_delete_form.html.twig') }}
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="14">Aucun utilisateur n'a été trouvé</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    <script>
        $(document).ready(function() {
            $('#table').dynatable();
        } );
    </script>
{% endblock %}

